MinimServer Forum

Full Version: Yosemite Java
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2 3
Just when I thought everything had been running well for months I have encountered a problem.I have just updated to Yosemite on my Mac and following this can't open Minimwatch it comes up with error message that I need to download legacy Java se 6 runtime.I have looked on Java site but am unsure precisely what to download.I fear I may have made the problem worse by checking my Synology NAS I noticed that Java had an update availableI tried to download but update failed and installation failed now showing that Java not there at all Minimserver is still running well and I can still access music on my IPad.Any help would be much appreciated.
(19-11-2014 14:18)mors Wrote: [ -> ]Just when I thought everything had been running well for months I have encountered a problem.I have just updated to Yosemite on my Mac and following this can't open Minimwatch it comes up with error message that I need to download legacy Java se 6 runtime.I have looked on Java site but am unsure precisely what to download.I fear I may have made the problem worse by checking my Synology NAS I noticed that Java had an update availableI tried to download but update failed and installation failed now showing that Java not there at all Minimserver is still running well and I can still access music on my IPad.Any help would be much appreciated.

There is a known issue with MinimWatch and Java on Yosemite. MinimWatch is detecting the Yosemite Mac OS X version incorrectly and as a result it is requesting you to install legacy Apple Java 6. You need to download this from Apple (see this page), not from the Oracle Java site.

The next release of MinimServer will detect the Yosemite version number correctly and will require Oracle Java to be installed. It's fine to have both Apple Java and Oracle Java installed at the same time.

What model of Synology NAS do you have and what version of DSM are you running?
Many thanks again for your early reply.I am using a Synology 212J running DSM 4.2-3211.I fear I have made things worse by restarting the NAS as this has stopped Minimserver running as Java was corrupted so I can't access any music at all now.
(19-11-2014 16:36)mors Wrote: [ -> ]Many thanks again for your early reply.I am using a Synology 212J running DSM 4.2-3211.I fear I have made things worse by restarting the NAS as this has stopped Minimserver running as Java was corrupted so I can't access any music at all now.

I suggest you uninstall Java completely and reinstall it by following the instructions in this post.

It should not be necessary to uninstall and reinstall MinimServer. If you do this, you should choose the option to save the configuration file when you uninstall.
I logged in to Oracle accepted agreement and tried download several times,kept coming up with message that I had not accepted the agreement and download not allowed any ideas?
(19-11-2014 19:04)mors Wrote: [ -> ]I logged in to Oracle accepted agreement and tried download several times,kept coming up with message that I had not accepted the agreement and download not allowed any ideas?

I have never seen this. You could try a different browser.
Download failed on last action unfortunately please see screenshot.Any further help would be appreciated.
(19-11-2014 22:14)mors Wrote: [ -> ]Download failed on last action unfortunately please see screenshot.Any further help would be appreciated.

You need to download the exact file named in the message and then copy it to a shared folder named 'public' on the NAS. Have you done this?
I really can't thank you enough for your help.I have managed to get Minimserver up and running again.However I still can't open Minimwatch,I downloaded and opened from the Apple link given but still comes up with
same error message please see screenshot.I would really appreciate a solution to this final problem.
(20-11-2014 11:34)mors Wrote: [ -> ]I really can't thank you enough for your help.I have managed to get Minimserver up and running again.However I still can't open Minimwatch,I downloaded and opened from the Apple link given but still comes up with
same error message please see screenshot.I would really appreciate a solution to this final problem.

What happens if you click 'More info'?

Did you try installing Apple Java 6 using the web page link I gave in this post?
Pages: 1 2 3
Reference URL's